BrownCluster.BrownClusterSerializer (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.util.featuregen

## Class BrownCluster.BrownClusterSerializer

- java.lang.Object
- - opennlp.tools.util.featuregen.BrownCluster.BrownClusterSerializer

- All Implemented Interfaces:
    ArtifactSerializer<BrownCluster>
  Enclosing class:
    BrownCluster

      public static class BrownCluster.BrownClusterSerializer
      extends Object
      implements ArtifactSerializer<BrownCluster>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrownClusterSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BrownCluster` | `create(InputStream in)` Creates the artifact from the provided `InputStream`.
    `void` | `serialize(BrownCluster artifact, OutputStream out)` Serializes the artifact to the provided `OutputStream`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BrownClusterSerializer

          public BrownClusterSerializer()

  - ### Method Detail

    - #### create

          public BrownCluster create(InputStream in)
                              throws IOException

      Description copied from interface: `ArtifactSerializer`
      Creates the artifact from the provided `InputStream`. The `InputStream` remains open.
      Specified by:
        `create` in interface `ArtifactSerializer<BrownCluster>`
      Returns:
        the artifact
      Throws:
        `IOException`

    - #### serialize

          public void serialize(BrownCluster artifact,
                                OutputStream out)
                         throws IOException

      Description copied from interface: `ArtifactSerializer`
      Serializes the artifact to the provided `OutputStream`. The `OutputStream` remains open.
      Specified by:
        `serialize` in interface `ArtifactSerializer<BrownCluster>`
      Throws:
        `IOException`

Copyright © 2026 The Apache Software Foundation. All rights reserved.